linux下google chrome无法打开的问题

我在ubuntu 14.04下安装google chrome时总共遇到了两个问题,在这里详细描述一下。
首先是安装完google chrome之后,点击应用程序没有反应,即完全打不开google chrome
在网下搜了一下,主要的解决办法是找到/opt/google/chrome目录,编辑google-chrome文件,把最后一行的

exec -a "$0" "$HERE/chrome" "$@"

修改为

exec -a "$0" "$HERE/chrome" "$@" --user-data-dir $HOME

另外还有一个参数,与这个问题无关,但也是在这里修改,我具体没试过,就是说flash无法播放的问题,也是在这里添加其它参数:

exec -a "$0" "$HERE/chrome"  "$@" --no-sandbox $HOME --ppapi-flash-path=/opt/google/chrome/PepperFlash/libpepflashplayer.so

但是我发现即使这样操作之后,仍然打不开chrome浏览器。于是我又尝试了在命令行打开chrome

whereis google-chrome

我电脑上看到的是在/usr/bin/google-chrome这个目录下,于是命令行打开:

/usr/bin/google-chrome %U -user-data-dir

发现报了如下错误:

Xlib:  extension "XInputExtension" missing on display ":10.0".
Xlib:  extension "XInputExtension" missing on display ":10.0".
Xlib:  extension "XInputExtension" missing on display ":10.0".
[2908:2939:1209/154509.366024:FATAL:nss_util.cc(631)]       NSS_VersionCheck("3.26") failed. NSS >= 3.26 is required. Please upgrade to the latest NSS, and if you still get this error, contact your distribution maintainer.
Aborted (core dumped)
root@greenvm-z04434v4:~#     [1209/154509.478005:ERROR:nacl_helper_linux.cc(310)] NaCl helper process running without a sandbox!
Most likely you need to configure your SUID sandbox correctly
 

具体意思好像就是说nss这个东西的版本低了,网上也有人说要降chrome的版本,那干嘛不直接升级这个nss呢?在网上找到命令如下:

sudo apt install --reinstall libnss3

安装成功之后,发现google chrome浏览器终于能打开了!

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 技术黑板 设计师:CSDN官方博客 返回首页